You are not logged in.

#1 2012-09-27 10:51:12

yangtsesu
Member
Registered: 2011-08-20
Posts: 26

[Solved]gnome 3.6 networkmanager issuse.

After upgrade to gnome 3.6 [gnome-unstable].
I can not use networkmanger.
I use nm-connect-manager with root, I can connect to network,but gnome show no network.
My system:
polkit 0.107-3 gnome 3.6 [gnome-unstable]
systemd

Last edited by yangtsesu (2012-09-29 13:52:36)

Offline

#2 2012-09-27 10:52:39

yangtsesu
Member
Registered: 2011-08-20
Posts: 26

Re: [Solved]gnome 3.6 networkmanager issuse.

$ nm-connect-manager show this when save:
No session found for uid 1000 (No session found for uid 1000)

Offline

#3 2012-09-27 12:08:33

lybin
Member
From: Russia / Siberia
Registered: 2012-09-27
Posts: 16

Re: [Solved]gnome 3.6 networkmanager issuse.

Offline

#4 2012-09-27 12:44:21

Jodell
Member
Registered: 2009-10-09
Posts: 285

Re: [Solved]gnome 3.6 networkmanager issuse.

I don't believe you should be using the gnome-unstable repo as yet.

Offline

#5 2012-09-27 12:52:25

fs4000
Member
From: Germany
Registered: 2007-10-15
Posts: 20

Re: [Solved]gnome 3.6 networkmanager issuse.

Gnome 3.6 is systemd only but NetworkManager still uses ConsoleKit. You need to rebuild it with

--with-session-tracking=systemd

And yes, gnome-unstable is not ready yet.

Offline

#6 2012-09-29 08:16:37

pushakk
Member
Registered: 2011-09-29
Posts: 49

Re: [Solved]gnome 3.6 networkmanager issuse.

Solved compilig networkmanager with --with-session-tracking=systemd like fs4000 said.

Is not necessary consolekit anymore on gnome only desktop?

Thank you.

Offline

#7 2012-09-29 08:57:56

nierro
Member
From: Milan, Italy
Registered: 2011-09-02
Posts: 809

Re: [Solved]gnome 3.6 networkmanager issuse.

No, you don't need it anymore, finally!

Offline

#8 2012-09-29 10:23:08

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: [Solved]gnome 3.6 networkmanager issuse.

gnome-unstable repo is not ready and shouldn't be used


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#9 2012-09-29 10:54:55

fredbezies
Member
Registered: 2011-07-28
Posts: 279

Re: [Solved]gnome 3.6 networkmanager issuse.

Because you're waiting for systemd to be fully enabled ?

Offline

#10 2012-09-29 10:57:44

Allan
Developer
From: Brisbane, AU
Registered: 2007-06-09
Posts: 10,408
Website

Re: [Solved]gnome 3.6 networkmanager issuse.

Because it is not finished yet.

Offline

#11 2012-09-29 13:49:46

yangtsesu
Member
Registered: 2011-08-20
Posts: 26

Re: [Solved]gnome 3.6 networkmanager issuse.

fs4000 wrote:

Gnome 3.6 is systemd only but NetworkManager still uses ConsoleKit. You need to rebuild it with

--with-session-tracking=systemd

And yes, gnome-unstable is not ready yet.

Thank you!It works.

Offline

#12 2012-09-29 14:02:41

yangtsesu
Member
Registered: 2011-08-20
Posts: 26

Re: [Solved]gnome 3.6 networkmanager issuse.

Why not use unstable version?
闷得慌瞎折腾呗!

Last edited by yangtsesu (2012-09-29 14:03:41)

Offline

#13 2012-09-29 14:23:29

cngn
Member
Registered: 2010-03-20
Posts: 64

Re: [Solved]gnome 3.6 networkmanager issuse.

Allan wrote:

Because it is not finished yet.

Offline

#14 2012-10-01 11:48:27

yangtsesu
Member
Registered: 2011-08-20
Posts: 26

Re: [Solved]gnome 3.6 networkmanager issuse.

What's wrong with gnome 3.6.
Why we still can not get all packages in [gnome-unstable]?

Offline

#15 2012-10-01 11:56:20

yangtsesu
Member
Registered: 2011-08-20
Posts: 26

Re: [Solved]gnome 3.6 networkmanager issuse.

Why still not finished?

Offline

#16 2012-10-01 12:18:23

thoho180192
Member
Registered: 2012-05-08
Posts: 57

Re: [Solved]gnome 3.6 networkmanager issuse.

Because it is not smile

Edit: The gnome version in gnome-unstable is RC1. It works perfectly, even though we are said to not use it. I use it sucsessfully on a daily basis.

Last edited by thoho180192 (2012-10-01 12:19:43)

Offline

#17 2012-10-01 14:32:54

fsckd
Forum Moderator
Registered: 2009-06-15
Posts: 3,549

Re: [Solved]gnome 3.6 networkmanager issuse.

yangtsesu, please stop bumping with the same question; you'll only get the same answer. Have patience, it'll be available when it's ready.


aur S & M :: forum rules :: Community Ethos
Resources for Women, POC, LGBT*, and allies

Online

#18 2012-10-01 16:47:56

lubosz
Member
Registered: 2012-10-01
Posts: 3

Re: [Solved]gnome 3.6 networkmanager issuse.

I updated the packages that still had 3.5 versions to 3.6.

https://github.com/lubosz/gnome-unstable

I can run gnome shell now, with the current gnome-unstable binaries I could not.
This is the patch I did on the gnome-unstable repo .

You just need to build these packages.

gnome-tweak-tool baobab clutter empathy eog evolution-data-server gjs gnome-desktop gnome-icon-theme-symbolic gnome-icon-theme gnome-keyring gnome-menus gnome-shell gobject-introspection gtksourceview3 libgweather mutter

The other ones can be installed from gnome-unstable, since they already are 3.6.

Offline

#19 2012-10-01 19:29:18

thoho180192
Member
Registered: 2012-05-08
Posts: 57

Re: [Solved]gnome 3.6 networkmanager issuse.

Downloaded and installed. Works smile
Thanks smile

Last edited by thoho180192 (2012-10-01 19:29:32)

Offline

#20 2012-10-02 14:31:53

dimchris
Member
From: Athens/Greece
Registered: 2012-09-27
Posts: 5

Re: [Solved]gnome 3.6 networkmanager issuse.

all is working fine for me  with the gnome unstable repo except from  Rhythmbox which crashes when I try to play mp3 or going to preferences

Last edited by dimchris (2012-10-02 14:44:40)

Offline

#21 2012-10-02 16:39:38

Boogie
Member
Registered: 2012-06-17
Posts: 27

Re: [Solved]gnome 3.6 networkmanager issuse.

lubosz. i am getting this when i try to build cheese and empathy: No package 'gee-1.0' found
And im pretty sure libgee-0.8 is the latest?

Do you have a solution for that?

Offline

#22 2012-10-02 19:02:41

fs4000
Member
From: Germany
Registered: 2007-10-15
Posts: 20

Re: [Solved]gnome 3.6 networkmanager issuse.

cheese and empathy got updated in gnome-unstable, too. To fix the problem you must downgrade libgee:

pacman -Suu

Offline

#23 2012-10-02 23:46:44

lubosz
Member
Registered: 2012-10-01
Posts: 3

Re: [Solved]gnome 3.6 networkmanager issuse.

YangtseSu helped today with gnome-contacts and cheese. I packaged gstreamer plugins and totem.
Check the most recent commits https://github.com/lubosz/gnome-unstable/commits/master

If you still encounter issues I will look into it. You can post a github bug.


Edit:

http://www.reddit.com/r/archlinux/comme … _gnome_36/

fmoralesc did a build and hosted it on dropbox. Would be nice to see the changed "upstream" in gnome-unstable though.

Last edited by lubosz (2012-10-02 23:48:28)

Offline

#24 2012-10-03 19:56:18

fredbezies
Member
Registered: 2011-07-28
Posts: 279

Re: [Solved]gnome 3.6 networkmanager issuse.

Testing gnome unstable in a virtualmachine for now  - no spare computer - and all is working really good. The big missing package is gnome shell still in version 3.5.92. Hope it will be available soon :]

Weird thing is that when I migrate from 3.4.2 (or 3.4.3 ?), my keyboard layout was wiped. I only had english and bambara (???) layouts available by default. I added the good layout soon after. Known bug ?

Last edited by fredbezies (2012-10-03 19:56:48)

Offline

#25 2012-10-05 06:44:59

pushakk
Member
Registered: 2011-09-29
Posts: 49

Re: [Solved]gnome 3.6 networkmanager issuse.

@lubosz

I can't play mpeg-4 videos with totem despite of I have

clutter-gst 1.9.92-1
gst-plugins-bad 1.0.0-1
gst-plugins-base 1.0.0-1
gst-plugins-base-libs 1.0.0-1
gst-plugins-good 1.0.0-1
gst-plugins-ugly 1.0.0-1
gstreamer 1.0.0-1

the error
** Message: Missing plugin: gstreamer|1.0|totem|decodificador MPEG-4 Video|decoder-video/mpeg, mpegversion=(int)4, parsed=(boolean)true, systemstream=(boolean)false (decodificador MPEG-4 Video)

anyone using gnome-unstable could said me if can play mpeg-4 videos?

Offline

Board footer

Powered by FluxBB